from django.urls import path, include
from rest_framework import routers
from .views import DocumentViewSet, InspectItemViewSet, InspectTaskViewSet, InspectTeamViewSet, InspectTemplateViewSet, SubtaskViewSet, InspectRecordViewSet, InspectDeptViewSet, InspectTemplate

router = routers.DefaultRouter()
router.register('inspectitem', InspectItemViewSet, basename="inspectitem")
router.register('inspecttask', InspectTaskViewSet, basename="inspecttask")
router.register('subinspecttask', SubtaskViewSet, basename="subinspecttask")
router.register('inspectrecord', InspectRecordViewSet, basename='inspectrecord')
router.register('inspectdept', InspectDeptViewSet, basename='inspectdept')
router.register('inspecttemplate', InspectTemplateViewSet, basename='inspecttemplate')
router.register('inspectteam', InspectTeamViewSet, basename='inspectteam')
router.register('document', DocumentViewSet, basename='document')
urlpatterns = [
    path('', include(router.urls))
]